services:
  starrocks:
    image: starrocks/allin1-ubuntu:4.0.6
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - opsmind-network
    ports:
      - "${PANEL_APP_PORT_HTTP}:8030"
      - "${PANEL_APP_PORT_TCP}:9030"
      - "${PANEL_APP_PORT_STREAM}:8040"
    volumes:
      - ./data/fe-meta:/opt/starrocks/fe/meta
      - ./data/be-storage:/opt/starrocks/be/storage
      - ./data/log:/opt/starrocks/log
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
    ulimits:
      nofile:
        soft: 60000
        hard: 60000
    labels:
      createdBy: "Apps"
networks:
  opsmind-network:
    external: true
